/*
 * RadioAssociation -
 * 	William Shipley (wjs@blorf.cpac.washington.edu) at The Omni Group
 *	under the inspired guidance of Jerry Goode (jgoode@next.com) at NeXT
 */

#import "RadioAssociation.h"

/*
 * RadioAssociation Category Implementation 
 */

@implementation Matrix(RadioAssociation)

/* Select the matrix cell whose tag value matches the integer attribute of the
 * DBModule
 */
- association:association setValue:(DBValue *)value;
{
    [[association destination] selectCellWithTag:[value intValue]];
    return self;
}

/* The DBFetchGroup/Module attribute associated with this radio button will
 * get the tag value of the currently selected cell.
 */
- association:association getValue:(DBValue *)value;
{
    id                  selcell;
	
    if (selcell = [[association destination] selectedCell])
	[value setIntValue:[selcell tag]];
    return self;
}

@end